function HideBlizzard:RegisterSlashCommands()
	self:RegisterChatCommand('hb', 'Cmd')
	self:RegisterChatCommand('hideblizzard', 'Cmd')
end

function HideBlizzard:Cmd(args)
	local cmd = string.split(' ', args):lower() or args:lower()

	if cmd == 'config' then
		if not IsAddOnLoaded('HideBlizzardOptions') then
			LoadAddOn('HideBlizzardOptions')
			self:RegisterOptions()
			InterfaceOptionsFrame_OpenToCategory(HideBlizzard.optionFrame.Profiles)
			InterfaceOptionsFrame_OpenToCategory(HideBlizzard.optionFrame.HideBlizzard)
		end
		InterfaceOptionsFrame_OpenToCategory(HideBlizzard.optionFrame.Profiles)
		InterfaceOptionsFrame_OpenToCategory(HideBlizzard.optionFrame.HideBlizzard)
	elseif cmd == 'help' then
		self:HelpDialog()
	else
		self:ShowHelp()
	end
end

function HideBlizzard:ShowHelp(cmd)
	local function PrintCmd(cmd, desc)
		DEFAULT_CHAT_FRAME:AddMessage(format(' - |cff40bbff%s|r: %s', cmd, desc))
	end
	self:Print('Commands ( /hb, /hideblizzard )')
	PrintCmd('config', 'open the configuration panel')
	PrintCmd('help', 'open the help window')
end